"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.determineAction = void 0;
var error_1 = __importDefault(require("../../error"));
var determineAction = function (b) {
    switch (b.ifParsingFailThen) {
        case 'get':
            return b.alternativeValue;
        case 'lazy-get':
            return b.alternativeValue();
        case 'throw':
            throw error_1["default"].fromMessage(b.message);
    }
};
exports.determineAction = determineAction;
//# sourceMappingURL=action.js.map