import Parser from '../class/abstract';
import { Get, LazyGet, Throw } from '../function/action';
declare type N = null;
declare type NullOptions = Readonly<{
    value: unknown;
}>;
declare function parseAsNull(p: Throw & NullOptions): null;
declare function parseAsNull<T>(p: Get<T> & NullOptions): T | null;
declare function parseAsNull<T>(p: LazyGet<T> & NullOptions): T | null;
declare class NullParser extends Parser<N> {
    constructor(value: any);
    elseGet: <A>(alternativeValue: A) => A | null;
    elseLazyGet: <A>(alternativeValue: () => A) => A | null;
    elseThrow: (message: string) => N;
}
export { NullParser, parseAsNull };
